Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.makeithappen.model.task
Interface User

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  UserImpl

    public interface User

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'User'.

The following features are supported:

- `First Name`
- `Last Name`
- `Gender`
- `Active`
- `Time Of Registration`
- `Weight`
- `Heigth`
- `Nationality`
- `Date Of Birth`
- `Email`
- `Tasks`

See Also:
  `TaskPackage.getUser()`

Method Summary
`XMLGregorianCalendar` | `getDateOfBirth()` Returns the value of the 'Date Of Birth' attribute.
`String` | `getEmail()` Returns the value of the 'Email' attribute.
`String` | `getFirstName()` Returns the value of the 'First Name' attribute.
`Gender` | `getGender()` Returns the value of the 'Gender' attribute.
`int` | `getHeigth()` Returns the value of the 'Heigth' attribute.
`String` | `getLastName()` Returns the value of the 'Last Name' attribute.
`Nationality` | `getNationality()` Returns the value of the 'Nationality' attribute.
`org.eclipse.emf.common.util.EList<Task>` | `getTasks()` Returns the value of the 'Tasks' reference list.
`Date` | `getTimeOfRegistration()` Returns the value of the 'Time Of Registration' attribute.
`double` | `getWeight()` Returns the value of the 'Weight' attribute.
`boolean` | `isActive()` Returns the value of the 'Active' attribute.
`void` | `setActive(boolean value)` Sets the value of the '`Active`' attribute.
`void` | `setDateOfBirth(XMLGregorianCalendar value)` Sets the value of the '`Date Of Birth`' attribute.
`void` | `setEmail(String value)` Sets the value of the '`Email`' attribute.
`void` | `setFirstName(String value)` Sets the value of the '`First Name`' attribute.
`void` | `setGender(Gender value)` Sets the value of the '`Gender`' attribute.
`void` | `setHeigth(int value)` Sets the value of the '`Heigth`' attribute.
`void` | `setLastName(String value)` Sets the value of the '`Last Name`' attribute.
`void` | `setNationality(Nationality value)` Sets the value of the '`Nationality`' attribute.
`void` | `setTimeOfRegistration(Date value)` Sets the value of the '`Time Of Registration`' attribute.
`void` | `setWeight(double value)` Sets the value of the '`Weight`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getFirstName

    String getFirstName()

  Returns the value of the 'First Name' attribute.

  If the meaning of the 'First Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'First Name' attribute.
  See Also:
    `setFirstName(String)`, `TaskPackage.getUser_FirstName()`

### setFirstName

    void setFirstName(String value)

  Sets the value of the '`First Name`' attribute.

  Parameters:
    `value` - the new value of the 'First Name' attribute.
  See Also:
    `getFirstName()`

### getLastName

    String getLastName()

  Returns the value of the 'Last Name' attribute.

  If the meaning of the 'Last Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Last Name' attribute.
  See Also:
    `setLastName(String)`, `TaskPackage.getUser_LastName()`

### setLastName

    void setLastName(String value)

  Sets the value of the '`Last Name`' attribute.

  Parameters:
    `value` - the new value of the 'Last Name' attribute.
  See Also:
    `getLastName()`

### getGender

    Gender getGender()

  Returns the value of the 'Gender' attribute. The literals are from the enumeration `Gender`.

  If the meaning of the 'Gender' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Gender' attribute.
  See Also:
    `Gender`, `setGender(Gender)`, `TaskPackage.getUser_Gender()`

### setGender

    void setGender(Gender value)

  Sets the value of the '`Gender`' attribute.

  Parameters:
    `value` - the new value of the 'Gender' attribute.
  See Also:
    `Gender`, `getGender()`

### isActive

    boolean isActive()

  Returns the value of the 'Active' attribute.

  If the meaning of the 'Active' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Active' attribute.
  See Also:
    `setActive(boolean)`, `TaskPackage.getUser_Active()`

### setActive

    void setActive(boolean value)

  Sets the value of the '`Active`' attribute.

  Parameters:
    `value` - the new value of the 'Active' attribute.
  See Also:
    `isActive()`

### getTimeOfRegistration

    Date getTimeOfRegistration()

  Returns the value of the 'Time Of Registration' attribute.

  If the meaning of the 'Time Of Registration' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Time Of Registration' attribute.
  See Also:
    `setTimeOfRegistration(Date)`, `TaskPackage.getUser_TimeOfRegistration()`

### setTimeOfRegistration

    void setTimeOfRegistration(Date value)

  Sets the value of the '`Time Of Registration`' attribute.

  Parameters:
    `value` - the new value of the 'Time Of Registration' attribute.
  See Also:
    `getTimeOfRegistration()`

### getWeight

    double getWeight()

  Returns the value of the 'Weight' attribute.

  If the meaning of the 'Weight' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Weight' attribute.
  See Also:
    `setWeight(double)`, `TaskPackage.getUser_Weight()`

### setWeight

    void setWeight(double value)

  Sets the value of the '`Weight`' attribute.

  Parameters:
    `value` - the new value of the 'Weight' attribute.
  See Also:
    `getWeight()`

### getHeigth

    int getHeigth()

  Returns the value of the 'Heigth' attribute.

  If the meaning of the 'Heigth' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Heigth' attribute.
  See Also:
    `setHeigth(int)`, `TaskPackage.getUser_Heigth()`

### setHeigth

    void setHeigth(int value)

  Sets the value of the '`Heigth`' attribute.

  Parameters:
    `value` - the new value of the 'Heigth' attribute.
  See Also:
    `getHeigth()`

### getNationality

    Nationality getNationality()

  Returns the value of the 'Nationality' attribute. The literals are from the enumeration `Nationality`.

  If the meaning of the 'Nationality' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Nationality' attribute.
  See Also:
    `Nationality`, `setNationality(Nationality)`, `TaskPackage.getUser_Nationality()`

### setNationality

    void setNationality(Nationality value)

  Sets the value of the '`Nationality`' attribute.

  Parameters:
    `value` - the new value of the 'Nationality' attribute.
  See Also:
    `Nationality`, `getNationality()`

### getDateOfBirth

    XMLGregorianCalendar getDateOfBirth()

  Returns the value of the 'Date Of Birth' attribute.

  If the meaning of the 'Date Of Birth' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Date Of Birth' attribute.
  See Also:
    `setDateOfBirth(XMLGregorianCalendar)`, `TaskPackage.getUser_DateOfBirth()`

### setDateOfBirth

    void setDateOfBirth(XMLGregorianCalendar value)

  Sets the value of the '`Date Of Birth`' attribute.

  Parameters:
    `value` - the new value of the 'Date Of Birth' attribute.
  See Also:
    `getDateOfBirth()`

### getEmail

    String getEmail()

  Returns the value of the 'Email' attribute.

  If the meaning of the 'Email' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Email' attribute.
  See Also:
    `setEmail(String)`, `TaskPackage.getUser_Email()`

### setEmail

    void setEmail(String value)

  Sets the value of the '`Email`' attribute.

  Parameters:
    `value` - the new value of the 'Email' attribute.
  See Also:
    `getEmail()`

### getTasks

    org.eclipse.emf.common.util.EList<Task> getTasks()

  Returns the value of the 'Tasks' reference list. The list contents are of type `Task`. It is bidirectional and its opposite is '`Assignee`'.

  If the meaning of the 'Tasks' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Tasks' reference list.
  See Also:
    `TaskPackage.getUser_Tasks()`, `Task.getAssignee()`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.